
using Eclipse.TRCore.Model;

namespace Eclipse.TRCore.Http
{
    public interface IAction : IExecutable
    {
        IAction NextAction { get; set;}
        IAction PreAction { get; set;}
        void DoAction();
    }

    public interface IHttpAction :IAction
    {
        WebSession Session { get; set;}
        HttpConfig HttpConfig { get; set;}
    }


    public interface IHttpAction<I, R> : IHttpAction
        where I : new()
        where R : new()
    {
        I Input { get; set;}
        ActionResult<R> ActionResult { get; set;}
    }



}
